Edgewall Software

Changes between Version 22 and Version 23 of TracFaq


Ignore:
Timestamp:
Oct 2, 2021, 10:18:12 AM (4 months ago)
Author:
figaro
Comment:

Cosmetic updates

Legend:

Unmodified
Added
Removed
Modified
  • TracFaq

    v22 v23  
    55If you have a question not answered on this page, you can ask it on the MailingList or in the IrcChannel. See the TracSupport page for more options on getting support for Trac.
    66
    7 **Note:** If you don't find the answer you are looking for here and you are using Trac 0.12 or older versions, also have a look in the old [wiki:"0.12/TracFaq"].
     7**Note:** If you don't find the answer you are looking for here and you are using Trac 0.12 or older versions, also have a look in [wiki:"0.12/TracFaq"].
    88
    99----
     
    1313== What is Trac and how can it help me?
    1414 
    15 There's a list on TracFeatures.
     15[wikipedia:Trac] is an open-source, web-based project management and bug tracking system. A list of key features can be found on TracFeatures.
    1616
    1717{{{#!comment
     
    5656}}}
    5757
    58 **A:** Don't give up, it's just `setuptools` giving you a last fight. You can remove the offending setuptools .egg and if it keeps re-appearing, you have it installed not only in the virtualenv but also in the parent Python installation, the one in which you installed virtualenv itself. If this is the case, remove it from there as well and installing distribute should now work.
     58**A:** This is `setuptools` giving you a last fight. You can remove the offending setuptools .egg and if it keeps re-appearing, you have it installed not only in the virtualenv but also in the parent Python installation, the one in which you installed virtualenv itself. If this is the case, remove it from there as well and installing distribute should now work.
    5959
    6060==== Q: Why does Apache crash (500) with a `ZipImportError` in the error log?
     
    8484==== Q: Why do I see `IndexError: pop from empty list` when trying to add an attachment?
    8585
    86 The issue is seen with Genshi 0.6.1 and 0.7 for languages other than English. The issue can be avoided by downgrading to Genshi 0.6 or upgrading to Genshi 0.7.1.
     86The issue is seen with Genshi 0.6.1 and 0.7 for languages other than English. The issue can be avoided by downgrading to Genshi 0.6 or upgrading to Genshi 0.7.1. From Trac 1.4 onwards, the Genshi templating engine has been replaced in favor of Jinja2, and this issue should not occur.
    8787
    8888=== Upgrade troubleshooting